Check out the same-town delivery template
Dxplaination of Interface Call Request
Example of request parameters
Examples of back-up
Dxplaination of request parameters
| 参数 | type | Is it compulsory? | Introductions |
Dxplaination of callback parameters
| 参数 | type | Introductions |
| errcode | string | Error code |
| errmsg | string | Error message |
| same_city_template.template_id | number | Same city distribution template ID |
| same_city_template.shipper | string | Suppliers |
| same_city_template.scope | number | Delivery range, metre per unit |
| same_city_template.same_city_valuation | object | Methods of pricing |
| same_city_template.special_time | object | Special Hours |
| same_city_template.delivery_time | object | Delivery time |
object-same_city_valuation
| 参数 | type | Introductions |
| type | string | Type of billing |
| condition_free_valuation | object | Free shipping conditions |
| tiered_billing_valuation | object | Stairway billing method |
object-same_city_valuation.condition_free_valuation
| 参数 | type | Introductions |
| min_free_price | number | Conditions Minimum Amount Free of Freight |
object-same_city_valuation.tiered_billing_valuation
| 参数 | type | Introductions |
| min_send_price | number | Minimum starting amount, divided |
| first_val_meter | number | Within xx minutes |
| first_price | number | Within xx minutes |
| second_val_meter | number | Each additional xx meters |
| second_price | number | Increase xx points |
object-special_time
| 参数 | type | Introductions |
| type | string | type |
| extra_fee_valuation | object | Additional charges for special periods |
| 参数 | type | Introductions |
| fee_details[].start_hour | number | Start time, hours |
| fee_details[].start_minute | number | Start time, minutes |
| fee_details[].end_hour | number | End time, hours |
| fee_details[].end_minute | number | End time, minutes |
| fee_details[].fee | number | Fees for this period |
object-delivery_time
Within the first_val_meter, every time you add the second_val_meter, you need to add the second_val_minutes
| 参数 | type | Introductions |
| start_business_hour | number | Time of opening shop, hours |
| start_business_minute | number | Time to open a shop, minutes |
| end_business_hour | number | Closing time, hours |
| end_business_minute | number | Closing time, minutes |
| book_time | number | Can be scheduled for time, minutes |
| first_val_meter | number | Range of delivery, meters |
| first_val_minutes | number | Delivery time, minutes |
| second_val_meter | number | Increase in reach, metres |
| second_val_minutes | number | Increase in delivery time, minutes |
Enumeration values-shipper
| 枚举值 | string | Introductions |
| 0 | Shipper_Unknown | unknown |
| 1 | Shipper_MerchantSend | Merchant delivery |
| 2 | Shipper_ThirdPartySend | Third Party Delivery |
Enumeration value - same_city_valuation.type
| 枚举值 | string | Introductions |
| 0 | ValuationType_Free | Free shipping |
| 1 | ValuationType_ConditionFree | Conditions Free shipping |
| 2 | ValuationType_TieredBilling | Staircase billing |
Enumeration value - special_time.type
| 枚举值 | string | Introductions |
| 0 | ValuationType_Free | No additional costs |
| 1 | ValuationType_ExtraFee | Additional cost increase |
Return code
| 返回码 | Error Type |
| -1 | System exceptions |
| -2 | Token too long |